Requisiti di Sistema

Requisiti di Sistema di Comunia

I requisiti di sistema di cui dovete disporre per far girare COMUNIA sono quelli tipici di Drupal e cioè:

Web Server

Apache

  • Apache 1.3 o 2.x, ospitato su Unix/Linux o Windows. La maggior parte dello sviluppo di Drupal avviene utilizzando Apache, di conseguenza vi è molta più esperienza e testing su questo server.
  • E' possibile utilizzare l'estensione 'mod_rewrite' di Apache che permette ai clean url di funzionare (utili ai fini della SEO).

Microsoft IIS

  • Drupal core gira su IIS5 o IIS6 se PHP viene configurato correttamente. In vista del ciclo di vita di Microsoft è preferibile optare per IIS6.
  • Per permettere ai clean url di funzionare (utili ai fini della SEO) è necessaria l'integrazione con prodotti di terze parti.

PHP

Richiesto: PHP 4.3.5 o superiore
Raccomandato: PHP 5.2 o superiore

Database Server
PostgreSQL 7.4 o superiore

Al di là dei requisiti tecnici, Drupal richiede parecchia memoria PHP per girare senza problemi (anche 32 o più MB).